﻿namespace ChargingMachine
{
    internal class StartState : StateBase
    {

		public override void EntryAction()
		{
			SceneFXHandler.Instance.FadeStrongCurrent(0.0f);
		}

        public override void DoAction()
        {
            if (Context.Flags.ContainsKey("AddCharger1"))
            {
                Context.Next = ChargingStates.C1B0S0;
            }

            if (Context.Flags.ContainsKey("AddCharger3"))
            {
                Context.Next = ChargingStates.S0B0C1;
            }

            if (Context.Flags.ContainsKey("AddBattery"))
            {
                Context.Next = ChargingStates.B1;
            }

            if (Context.Flags.ContainsKey("AddSuperCharger1"))
            {
                Context.Next = ChargingStates.S1B0C0;
            }

            if (Context.Flags.ContainsKey("AddSuperCharger3"))
            {
                Context.Next = ChargingStates.C0B0S1;
            }
        }
    }
}