﻿using System;
using StateMachine;

namespace ChargingMachine
{
    internal abstract class StateBase : State<ChargingContext, ChargingStates>
    {
        public override void TriggerHandler(EventArgs e)
        {
            // Cancel time out
            TimeoutHandler();
        }

        public override void TimeoutHandler()
        {
            Context.ChargingMachine.DoTimeout();
            Context.Next = ChargingStates.End;
        }
    }
}