﻿namespace ChargingMachine
{
    internal class B1State : StateBase
    {
        public override void DoAction()
        {
            if (Context.Flags.ContainsKey("AddCharger1"))
            {
                Context.Next = ChargingStates.C1B1S0;
            }

            if (Context.Flags.ContainsKey("AddCharger3"))
            {
                Context.Next = ChargingStates.S0B1C1;
            }

            if (Context.Flags.ContainsKey("AddSuperCharger1"))
            {
                Context.Next = ChargingStates.S1B1C0;
            }

            if (Context.Flags.ContainsKey("AddSuperCharger3"))
            {
                Context.Next = ChargingStates.C0B1S1;
            }

            if (Context.Flags.ContainsKey("RemoveBattery"))
            {
                Context.Next = ChargingStates.Start;
            }
        }
    }
}