﻿namespace ChargingMachine
{
    internal class S0B0C1State : StateBase
    {
        public override void EntryAction()
        {
            Context.ChargingMachine.DoCharging(1); // one charge (0.01 increment) every second.
        }

        public override void DoAction()
        {
            if (Context.Flags.ContainsKey("AddBattery"))
            {
                Context.Next = ChargingStates.C0B1S1;
            }

            if (Context.Flags.ContainsKey("AddSuperCharger1"))
            {
                Context.Next = ChargingStates.S1B0C1;
            }

            if (Context.Flags.ContainsKey("RemoveCharger3"))
            {
                Context.Next = ChargingStates.Start;
            }
        }

        public override void ExitAction()
        {
            Context.ChargingMachine.DoCharging(-1);
        }
    }
}